Форум 1С
Программистам, бухгалтерам, администраторам, пользователям
Задай вопрос - получи решение проблемы
26 ноя 2022, 22:23

Необходимая версия платформы для конфигурации

Автор Optiman, 25 окт 2022, 08:21

0 Пользователей и 2 гостей просматривают эту тему.

Optiman

Здравствуйте!
При установке обновления УПП на версию 1.3.88.1 вылетело сообщение: "Для работы с конфигурацией требуется версия платформы 1С:Предприятие 8.3.18.1902 или более поздняя. Используемая сейчас версия 8.3.18.1289. Продолжение невозможно, работа программы будет завершена".

Разобрался, что в общем модуле "ОбщегоНазначенияПереопределяемый" процедура "ПриОпределенииОбщихПараметровБазовойФункциональности" раньше была пустая, а при обновлении сожержит:
   ВерсияПлатформы = "8.3.14.1694";
   СистемнаяИнформация = Новый СистемнаяИнформация;
   ВерсияПлатформы = СистемнаяИнформация.ВерсияПриложения;
   ВерсияПлатформыБезНомераСборки = СтроковыеФункцииКлиентСервер.ВерсияКонфигурацииБезНомераСборки(ВерсияПлатформы);
   
   Если ВерсияПлатформыБезНомераСборки = "8.3.15" Тогда
        ВерсияПлатформы = "8.3.15.2107";
ОбщиеПараметры.РаботаВПрограммеЗапрещена = Истина;
    ИначеЕсли ВерсияПлатформыБезНомераСборки = "8.3.16" Тогда
        ВерсияПлатформы = "8.3.16.1814";
ОбщиеПараметры.РаботаВПрограммеЗапрещена = Истина;
    ИначеЕсли ВерсияПлатформыБезНомераСборки = "8.3.17" Тогда
        ВерсияПлатформы = "8.3.17.2733";
ОбщиеПараметры.РаботаВПрограммеЗапрещена = Истина;
    ИначеЕсли ВерсияПлатформыБезНомераСборки = "8.3.18" Тогда
ВерсияПлатформы = "8.3.18.1902";
ОбщиеПараметры.РаботаВПрограммеЗапрещена = Истина;
    ИначеЕсли ВерсияПлатформыБезНомераСборки = "8.3.19" Тогда
        ВерсияПлатформы = "8.3.19.1665";
ОбщиеПараметры.РаботаВПрограммеЗапрещена = Истина;
    ИначеЕсли ВерсияПлатформыБезНомераСборки = "8.3.20" Тогда
        ВерсияПлатформы = "8.3.20.2076";
ОбщиеПараметры.РаботаВПрограммеЗапрещена = Истина;
    ИначеЕсли ВерсияПлатформыБезНомераСборки = "8.3.21" Тогда
        ВерсияПлатформы = "8.3.21.1508";
ОбщиеПараметры.РаботаВПрограммеЗапрещена = Истина;
    ИначеЕсли ВерсияПлатформыБезНомераСборки = "8.3.22" Тогда
        ВерсияПлатформы = "8.3.22.1603";
ОбщиеПараметры.РаботаВПрограммеЗапрещена = Истина;
    КонецЕсли;
    ОбщиеПараметры.МинимальноНеобходимаяВерсияПлатформы = ВерсияПлатформы;

Не понятно, в чём состоит избирательность конкретных версий платформ. По сути, может работать с более старыми платформами 8.3.15, 8.3.16 и 8.3.17, зачем тогда "огород городить" ?

Что может произойти, если я в проверке укажу возможность работать с установленной у меня версией платформы?

Теги:

Похожие темы (5)

Рейтинг@Mail.ru Rambler's Top100

Поиск